Ptex: PtexReader::ConstantFace Class Reference

Ptex

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
PtexReader::ConstantFace Class Reference

`#include <PtexReader.h>`

Inheritance diagram for PtexReader::ConstantFace:

## Public Member Functions
| ConstantFace (void **parent, PtexCacheImpl *cache, int pixelsize)
virtual bool | isConstant ()
| True if this data block is constant. More...
virtual void | getPixel (int, int, void *result)
| Read a single texel from the data block. More...
virtual void | reduce (FaceData *&, PtexReader *, Res newres, PtexUtils::ReduceFn)
Public Member Functions inherited from PtexReader::PackedFace
| PackedFace (void **parent, PtexCacheImpl *cache, Res res, int pixelsize, int size)
void * | data ()
virtual void * | getData ()
| Access the data from this data block. More...
virtual bool | isTiled ()
| True if this data block is tiled. More...
virtual Ptex::Res | tileRes ()
| Resolution of each tile in this data block. More...
virtual PtexFaceData * | getTile (int)
| Access a tile from the data block. More...
Public Member Functions inherited from PtexReader::FaceData
| FaceData (void **parent, PtexCacheImpl *cache, Res res, int size)
virtual void | release ()
| Release resources held by this pointer (pointer becomes invalid). More...
virtual Ptex::Res | res ()
| Resolution of the texture held by this data block. More...
virtual void | reduce (FaceData *&, PtexReader *, Res newres, PtexUtils::ReduceFn)=0
Public Member Functions inherited from PtexCachedData
| PtexCachedData (void **parent, PtexCacheImpl *cache, int size)
void | ref ()
void | unref ()
Public Member Functions inherited from PtexLruItem
bool | inuse ()
void | orphan ()

## Additional Inherited Members
Static Public Member Functions inherited from PtexLruItem
template<typename T >
static void | orphanList (T &list)
Protected Member Functions inherited from PtexReader::PackedFace
virtual | ~PackedFace ()
Protected Member Functions inherited from PtexCachedData
void | incSize (int size)
virtual | ~PtexCachedData ()
Protected Member Functions inherited from PtexLruItem
| PtexLruItem (void **parent=0)
virtual | ~PtexLruItem ()
Protected Member Functions inherited from PtexFaceData
virtual | ~PtexFaceData ()
| Destructor not for public use. Use release() instead. More...
Protected Attributes inherited from PtexReader::PackedFace
int | _pixelsize
void * | _data
Protected Attributes inherited from PtexReader::FaceData
Res | _res
Protected Attributes inherited from PtexCachedData
PtexCacheImpl * | _cache

## Detailed Description

Definition at line 327 of file PtexReader.h.

## Constructor & Destructor Documentation

PtexReader::ConstantFace::ConstantFace | ( | void ** | parent,
|  | PtexCacheImpl * | cache,
|  | int | pixelsize
| ) |  |
| inline

Definition at line 329 of file PtexReader.h.

## Member Function Documentation

virtual void PtexReader::ConstantFace::getPixel | ( | int | u,
|  | int | v,
|  | void * | result
| ) |  |
| inlinevirtual

Read a single texel from the data block.

The texel coordinates, u and v, have a range of [0..ures-1, 0..vres-1]. Note: this method will work correctly even if the face is constant or tiled.

Reimplemented from PtexReader::PackedFace.

Definition at line 332 of file PtexReader.h.

virtual bool PtexReader::ConstantFace::isConstant | ( |  | ) |
| inlinevirtual

True if this data block is constant.

Reimplemented from PtexReader::PackedFace.

Definition at line 331 of file PtexReader.h.

void PtexReader::ConstantFace::reduce | ( | FaceData *& | face,
|  | PtexReader * | ,
|  | Res | newres,
|  | PtexUtils::ReduceFn |
| ) |  |
| virtual

Reimplemented from PtexReader::PackedFace.

Definition at line 1132 of file PtexReader.cpp.

References PtexCachedFile::_cache, PtexReader::PackedFace::_data, PtexReader::_pixelsize, and PtexCacheImpl::cachelock.

The documentation for this class was generated from the following files:

- PtexReader.h
- PtexReader.cpp